SIGPENDING(2V)

NAME
sigpending - examine pending signals

SYNOPSIS

#include <signal.h>

int sigpending(set)
sigset_t *set;

DESCRIPTION

sigpending() stores the set of signals that are blocked from delivery and pending for the calling process in the space pointed to by set.

RETURN VALUES

sigpending() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

SEE ALSO
sigprocmask(2V), sigvec(2), sigsetops(3V)